Bug 165413 - Review Request: plague RPM build system
Review Request: plague RPM build system
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Boyer
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-08-08 23:27 EDT by Dan Williams
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-21 10:37:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2005-08-08 23:27:08 EDT
Spec Name or Url: http://people.redhat.com/dcbw/plague/
SRPM Name or Url: http://people.redhat.com/dcbw/plague/

See also:

Description: plague is an RPM-based distributed build system written in python, that powers Fedora Extras builds
Comment 1 Josh Boyer 2005-08-09 21:49:47 EDT
Two initial minor issues:

1) Buildroot should be:

%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

to keep with the Extras packaging guidelines

2) I think the Requires: for pyOpenSSL can be dropped in all sub-packages except
plague-common since everything else already depends on plague-common.

I'll do a bit more looking and see if i notice anything else, but it looks
pretty good so far.
Comment 2 Dan Williams 2005-08-09 23:34:02 EDT
fair enough.  will respin packages and upload with these changes.
Comment 3 Josh Boyer 2005-08-10 09:35:18 EDT
I see no other issues.  The package builds and installs on both FC-3 and FC-4. 
It is obviously working since all of Extras is relying on it.

I approve this package.
Comment 4 Josh Boyer 2005-08-10 09:36:19 EDT
Oops, wrong blocker bug. :)
Comment 5 Dan Williams 2005-08-11 15:36:55 EDT
Fixes done, will be imported as plague-0.3.1-1
Comment 6 Dan Williams 2005-08-11 15:55:43 EDT
imported and building
Comment 7 Ville Skyttä 2005-08-15 16:49:05 EDT
owners.list entry in CVS (and thus Bugzilla component, I guess) still missing.   
Comment 8 Josh Boyer 2005-08-21 10:37:22 EDT
added to owners.list now.  thanks for pointing that out.

Note You need to log in before you can comment on or make changes to this bug.